#!/bin/csh -f

#    OutputFile: $2/$1.flavia.inf
#    WarningFile: %2/%1.flavia.war
#    ErrorFile: $2/$1.flavia.err

rm -f $2/$1.flavia.err $2/$1.flavia.res $2/$1.flavia 
mv $2/$1.dat $2/$1.flavia

if ( !(-e $3/../scripts/tdyn)) then
echo "error: This distribution does not contain the UNIX executable" >> $2/$1.flavia.err
endif

$3/../scripts/tdyn -name $2/$1.flavia -2d > $2/$1.flavia.out

if ( !(-e $2/$1.flavia.res) || (-z $2/$1.flavia.res)) then
echo "Program failed" >> $2/$1.flavia.err
endif
